CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
AutoRegisterRegistry Class Reference

(Implementation) Automatically adds a registry into another registry. More...

`#include <AutoRegisterSuite.h>`

## Public Member Functions
| AutoRegisterRegistry (const std::string &which, const std::string &to)
| AutoRegisterRegistry (const std::string &which)

## Detailed Description

(Implementation) Automatically adds a registry into another registry.

Don't use this class. Use the macros CPPUNIT_REGISTRY_ADD() and CPPUNIT_REGISTRY_ADD_TO_DEFAULT() instead.

## Constructor & Destructor Documentation

AutoRegisterRegistry::AutoRegisterRegistry | ( | const std::string & | which,
|  | const std::string & | to
| ) |  |
| inline

AutoRegisterRegistry::AutoRegisterRegistry | ( | const std::string & | which | ) |
| inline

The documentation for this class was generated from the following file:

- AutoRegisterSuite.h

| Send comments to: CppUnit Developers